com.collabnet.ce.soap60.webservices.tracker

## Class WorkflowAutoPopulateSoapDO

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.tracker.WorkflowAutoPopulateSoapDO

-     public class WorkflowAutoPopulateSoapDO
      extends Object

  Data object that represents workflow autopopulate data.
  Since:
    17.11

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkflowAutoPopulateSoapDO()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFieldId()` Returns 'fieldId'.
    `String[]` | `getValues()` Returns 'values'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setFieldId(String fieldId)` Sets 'fieldId'.
    `void` | `setValues(String[] values)` Sets 'values'.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkflowAutoPopulateSoapDO

          public WorkflowAutoPopulateSoapDO()

  - ### Method Detail

    - #### getFieldId

          public String getFieldId()

      Returns 'fieldId'. The ids of the autopopulate fields.
      Returns:
        Value of 'fieldId'.

    - #### setFieldId

          public void setFieldId(String fieldId)

      Sets 'fieldId'. The ids of the autopopulate fields.
      Parameters:
        `fieldId` - Value of 'fieldId'.

    - #### getValues

          public String[] getValues()

      Returns 'values'. The values of the autopopulate fields.
      Returns:
        Value of 'values'.

    - #### setValues

          public void setValues(String[] values)

      Sets 'values'. The values of the autopopulate fields.
      Parameters:
        `values` - Value of 'values'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2019 CollabNet. All rights reserved.